<div class="row mt-2">
  <div class="col-6">
    <h5>Write the answers in the correct order as this order will be used for grading!</h5>
  </div>
  <div class="col-5 offset-1 d-flex justify-content-end">
    <h5>
        <div class="form-check mt-3">
            <input class="form-check-input" type="radio" name="displayOption" id="verticalDisplay" value="vertical" <%= question.display_option === 'vertical' ? 'checked' : '' %> checked>
            <label class="form-check-label" for="verticalDisplay">
                Vertical Display
            </label>
        </div>
        <div class="form-check">
            <input class="form-check-input" type="radio" name="displayOption" id="horizontalDisplay" value="horizontal" <%= question.display_option === 'horizontal' ? 'checked' : '' %>>
            <label class="form-check-label" for="horizontalDisplay">
                Horizontal Display
            </label>
        </div>
    </h5>
  </div>
</div>
<div class="row mt-2">
  <h4 class="col-5">Answers</h4>
  <div class="col-6 offset-1 d-flex justify-content-end">
    <% locals.combodata = {
        id: "id_ordered_element_correctness_model",
        list: ordered_element_correctness_model,
        name:"id_ordered_element_correctness_model",
        selected: question.id_ordered_element_correctness_model,
      }; %>
      <%- include(`${locals.partialsRoot}/combo`) %>
  </div>
</div>



<%for(var i = 0; i < answers.length; ++i) {%>
    <div class="d-flex justify-content-between border-bottom mt-2">

        <label class="form-check-label" style="display:none;">
            <input class="form-check-input"

                data-size="sm"
                form="frmMain"
                type="checkbox"
                name="corrAnswerCheckboxes<%=i%>"
                id="corrAnswerCheckboxes<%=i%>"
                data-toggle="toggle"
                data-on="<i class='fas fa-2x fa-check'></i>" data-off="<i class='fas fa-2x fa-times'></i>"
                value="<%=i%>" <%=("checked" )%> >
        </label>

        <div class="ml-2 mr-2" style="flex:1;">
            <textarea id="answer<%=i%>" name="answer<%=i%>" data-a2-type="mdtext" style="min-height: 100px;"><%-answers[i].answer_text%></textarea>
        </div>

        <div style="display:none;">
            <input type="number" min="0" max="100" step="1" class="form-control" id="penalty_percentage<%=i%>" name="penalty_percentage<%=i%>"
                value="<%-answers[i].penalty_percentage%>" title="Penalty percentage">
        </div>
    </div>  <!-- end for answers -->

<%}%>

<script>
    var questionJSON = '<%- JSON.stringify(question) %>';
    var questionInJS = JSON.parse(questionJSON);

    if (questionInJS.display_option !== 'horizontal') {
        document.getElementById('verticalDisplay').checked = true;
    } else {
        document.getElementById('horizontalDisplay').checked = true;
    }
</script>

